/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.xmlmap.impl;

import java.net.URL;


public interface IXmlModelMessage
{
	/**
	 * Message Severity: instanciation information
	 */
	public static int INST_INFO = 4;
	/**
	 * Message Severity: instanciation warning
	 */
	public static int INST_WARNING = 2;
	/**
	 * Message Severity: instanciation error (blocking)
	 */
	public static int INST_ERROR = 0;
	/**
	 * Message Severity: validation information
	 */
	public static int VALID_INFO = 5;
	/**
	 * Message Severity: validation warning
	 */
	public static int VALID_WARNING = 3;
	/**
	 * Message Severity: validation error (blocking)
	 */
	public static int VALID_ERROR = 1;
	
	int getSeverity();
	
	Object getObject();
	
	String getMappingName();
	
	String getMessage();
	
	URL getFile();
	
	int getLine();
}
