package org.ow2.opensuit.xmlmap.utils.minidom;

import org.w3c.dom.Attr;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.w3c.dom.Text;

public class DomBuilder {
	
	public static XmlElement build(Document doc)
	{
		return build(doc.getDocumentElement());
	}
	private static XmlElement build(Element e)
	{
		XmlElement elt = new XmlElement(e.getNamespaceURI(), e.getLocalName(), e.getNodeName());
		NamedNodeMap attrs = e.getAttributes();
		if(attrs != null)
		{
			for(int i=0; i<attrs.getLength(); i++)
			{
				Attr a = (Attr)attrs.item(i);
				XmlAttribute attr = new XmlAttribute(a.getNamespaceURI(), a.getLocalName(), a.getName(), a.getValue());
				elt.addAttribute(attr);
			}
		}
		NodeList children = e.getChildNodes();
		if(children != null)
		{
			for(int i=0; i<children.getLength(); i++)
			{
				Node n = children.item(i);
				if(n instanceof Element)
				{
					elt.addChild(build((Element)n));
				}
				else if(n instanceof Text)
				{
//					String txt = ((Text)n).getTextContent();
					String txt = ((Text)n).getNodeValue();
					elt.appendContent(txt.toCharArray(), 0, txt.length());
				}
			}
		}
		return elt;
	}
}
